/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for ECG Control Variables Text
 */
public enum EnumCV_ECGControlVariablesText {
	
	LOW_PASS_FILTER_10_11402("10:11402"),
	HIGH_PASS_FILTER_10_11404("10:11404"),
	HIGH_PASS_FILTER_DESCRIPTION_10_11406("10:11406"),
	NOTCH_FILTER_10_11407("10:11407"),
	NOTCH_FILTER_DESCRIPTION_10_11410("10:11410"),
	BASELINE_DESCRIPTION_10_11412("10:11412"),
	INTERPOLATOR_10_11414("10:11414"),
	INTERPOLATOR_DESCRIPTION_10_11416("10:11416");
	
	private String value;

	EnumCV_ECGControlVariablesText(String strvalue)
	{
		this.value = strvalue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
